Loading...
Searching...
No Matches
rostlab::blast::round Struct Reference

Data specific to an iterated blast round. More...

`#include <blast-result.h>`

## Public Member Functions

| round (size_t __oneline_idx=0, size_t __oneline_cnt=0, size_t __hit_idx=0, size_t __hit_cnt=0, size_t __oneline_new_idx=noidx, size_t __oneline_new_cnt=0)
virtual | ~round ()

## Public Attributes

size_t | oneline_idx
| Index of first one-line description of this round in vector of all one-line descriptions.
size_t | oneline_cnt
| Count of one-line descriptions in round.
size_t | hit_idx
| Index of first hit of this round in vector of all hits.
size_t | hit_cnt
| Count of hits in round.
size_t | oneline_new_idx
| Index of first one-line description of sequences not found previously in this round. noidx if there is no such, i.e. in case there are no new sequences in this round.
size_t | oneline_new_cnt
| Count of one-line descriptions for sequences not found previously.

## Static Public Attributes

static const size_t | noidx = static_cast<size_t>(-1)

## Detailed Description

Data specific to an iterated blast round.

Definition at line 31 of file blast-result.h.

## Constructor & Destructor Documentation

## round()

rostlab::blast::round::round | ( | size_t | __oneline_idx = 0,
|  | size_t | __oneline_cnt = 0,
|  | size_t | __hit_idx = 0,
|  | size_t | __hit_cnt = 0,
|  | size_t | __oneline_new_idx = noidx,
|  | size_t | __oneline_new_cnt = 0 )

inline

Definition at line 46 of file blast-result.h.

## ~round()

virtual rostlab::blast::round::~round | ( |  | ) |

inline virtual

Definition at line 47 of file blast-result.h.

## Member Data Documentation

## hit_cnt

size_t rostlab::blast::round::hit_cnt

Count of hits in round.

Definition at line 39 of file blast-result.h.

## hit_idx

size_t rostlab::blast::round::hit_idx

Index of first hit of this round in vector of all hits.

Definition at line 37 of file blast-result.h.

## noidx

const size_t rostlab::blast::round::noidx = static_cast<size_t>(-1)

static

Definition at line 44 of file blast-result.h.

## oneline_cnt

size_t rostlab::blast::round::oneline_cnt

Count of one-line descriptions in round.

Definition at line 35 of file blast-result.h.

## oneline_idx

size_t rostlab::blast::round::oneline_idx

Index of first one-line description of this round in vector of all one-line descriptions.

Definition at line 33 of file blast-result.h.

## oneline_new_cnt

size_t rostlab::blast::round::oneline_new_cnt

Count of one-line descriptions for sequences not found previously.

Definition at line 43 of file blast-result.h.

## oneline_new_idx

size_t rostlab::blast::round::oneline_new_idx

Index of first one-line description of sequences not found previously in this round. noidx if there is no such, i.e. in case there are no new sequences in this round.

Definition at line 41 of file blast-result.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-result.h